| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfSCA Struct Reference
Subscriber Features

Selective Call Acceptance. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
enum unsp__BillingType * | Billing
| Billing Type. More...
struct unsp__ScreenList * | ScreenList
| The list of DNs from which calls are to be accepted. More...
char * | Pin
| The priority code that a caller can use to be placed through to the subscriber even though they are calling from a phone that is not on the screening list. More...
enum unsp__ScaTerminationTreatment * | ScaTerminationTreatment
| Indicates the denial treatment for callers who are not on the list. More...
unsp__ServiceId | ServiceId
| Indicates the destination number or alphanumeric SIP URI to forward denied calls to when ScaTerminationTreatment is set to ScaTerminationToRemoteDn. More...
struct unsp__CfSCA_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Selective Call Acceptance.

The Selective Call Acceptance feature provides the capability to build a list of numbers (known as a screening list) from which the subscriber wants to accept incoming calls. Callers who are not on the screening list hear a denial announcement that they are being forwarded to another number or being played a denial announcement.
MP2 command: CFSCA [Attributes]

## Member Data Documentation

## ◆ Billing

enum unsp__BillingType* unsp__CfSCA::Billing

Billing Type.

required: false
default value[range]: FlatRate

## ◆ Enabled

unsp__Enabled* unsp__CfSCA::Enabled

Standard Enabled flag.

## ◆ Local

struct unsp__CfSCA_locPres* unsp__CfSCA::Local

Local Presence flags.

## ◆ Pin

char* unsp__CfSCA::Pin

The priority code that a caller can use to be placed through to the subscriber even though they are calling from a phone that is not on the screening list.

required: false
default value[range]: NA [1..8]

## ◆ ScaTerminationTreatment

enum unsp__ScaTerminationTreatment* unsp__CfSCA::ScaTerminationTreatment

Indicates the denial treatment for callers who are not on the list.

required: false
default value[range]: ScaTerminationDenialAnnouncement]

## ◆ ScreenList

struct unsp__ScreenList* unsp__CfSCA::ScreenList

The list of DNs from which calls are to be accepted.

required: true

## ◆ ServiceId

unsp__ServiceId unsp__CfSCA::ServiceId

Indicates the destination number or alphanumeric SIP URI to forward denied calls to when ScaTerminationTreatment is set to ScaTerminationToRemoteDn.

required: false

See also
  unsp__CFTarget

## ◆ Subscribed

enum unsp__Subscribed unsp__CfSCA::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h